<?php

declare(strict_types=1);

namespace Drupal\iconify_field\Element;

use Drupal\Core\Render\Element\RenderElementBase;

/**
 * Provides a render element for selecting an Iconify icon.
 *
 * @FormElement("iconify_icon")
 */
class IconifyIcon extends RenderElementBase {

  /**
   * {@inheritdoc}
   */
  public function getInfo() {
    $class = static::class;

    return [
      '#input' => TRUE,
      '#pre_render' => [
        [$class, 'preRenderIconifyField'],
      ],
      '#theme' => 'iconify_icon',
    ];
  }

  /**
   * Prepare the element for rendering.
   *
   * @param array $element
   *   An associative array containing the properties of the element.
   *
   * @return array
   *   The processed element.
   */
  public static function preRenderIconifyField($element) {
    return $element;
  }

}
